## EmpathyTpChat

EmpathyTpChat

## Synopsis

                        EmpathyTpChat;
    EmpathyTpChat *     empathy_tp_chat_new                 (TpChannel *channel);
    void                empathy_tp_chat_close               (EmpathyTpChat *chat);
    const gchar *       empathy_tp_chat_get_id              (EmpathyTpChat *chat);
    EmpathyContact*     empathy_tp_chat_get_remote_contact  (EmpathyTpChat *chat);
    McAccount *         empathy_tp_chat_get_account         (EmpathyTpChat *chat);
    TpChannel *         empathy_tp_chat_get_channel         (EmpathyTpChat *chat);
    gboolean            empathy_tp_chat_is_ready            (EmpathyTpChat *chat);
    guint               empathy_tp_chat_get_members_count   (EmpathyTpChat *chat);
    void                empathy_tp_chat_send                (EmpathyTpChat *chat,
                                                             EmpathyMessage *message);
    void                empathy_tp_chat_set_state           (EmpathyTpChat *chat,
                                                             TpChannelChatState state);
    void                empathy_tp_chat_set_property        (EmpathyTpChat *chat,
                                                             const gchar *name,
                                                             const GValue *value);
    const GList *       empathy_tp_chat_get_pending_messages
                                                            (EmpathyTpChat *chat);
    void                empathy_tp_chat_acknowledge_message (EmpathyTpChat *chat,
                                                             EmpathyMessage *message);
    void                empathy_tp_chat_acknowledge_messages
                                                            (EmpathyTpChat *chat,
                                                             const GList *messages);

## Object Hierarchy

      GObject
       +----EmpathyTpChat

## Implemented Interfaces

EmpathyTpChat implements EmpathyContactList.

## Properties

      "channel"                  TpChannel*            : Read / Write / Construct Only
      "ready"                    gboolean              : Read
      "remote-contact"           EmpathyContact*       : Read

## Signals

      "chat-state-changed"                             : Run Last
      "destroy"                                        : Run Last
      "message-received"                               : Run Last
      "property-changed"                               : Run Last
      "send-error"                                     : Run Last

## Description

## Details

### EmpathyTpChat

    typedef struct _EmpathyTpChat EmpathyTpChat;

### empathy_tp_chat_new ()

    EmpathyTpChat *     empathy_tp_chat_new                 (TpChannel *channel);

`channel` : |
Returns : |

### empathy_tp_chat_close ()

    void                empathy_tp_chat_close               (EmpathyTpChat *chat);

`chat` : |

### empathy_tp_chat_get_id ()

    const gchar *       empathy_tp_chat_get_id              (EmpathyTpChat *chat);

`chat` : |
Returns : |

### empathy_tp_chat_get_remote_contact ()

    EmpathyContact*     empathy_tp_chat_get_remote_contact  (EmpathyTpChat *chat);

`chat` : |
Returns : |

### empathy_tp_chat_get_account ()

    McAccount *         empathy_tp_chat_get_account         (EmpathyTpChat *chat);

`chat` : |
Returns : |

### empathy_tp_chat_get_channel ()

    TpChannel *         empathy_tp_chat_get_channel         (EmpathyTpChat *chat);

`chat` : |
Returns : |

### empathy_tp_chat_is_ready ()

    gboolean            empathy_tp_chat_is_ready            (EmpathyTpChat *chat);

`chat` : |
Returns : |

### empathy_tp_chat_get_members_count ()

    guint               empathy_tp_chat_get_members_count   (EmpathyTpChat *chat);

`chat` : |
Returns : |

### empathy_tp_chat_send ()

    void                empathy_tp_chat_send                (EmpathyTpChat *chat,
                                                             EmpathyMessage *message);

`chat` : |
`message` : |

### empathy_tp_chat_set_state ()

    void                empathy_tp_chat_set_state           (EmpathyTpChat *chat,
                                                             TpChannelChatState state);

`chat` : |
`state` : |

### empathy_tp_chat_set_property ()

    void                empathy_tp_chat_set_property        (EmpathyTpChat *chat,
                                                             const gchar *name,
                                                             const GValue *value);

`chat` : |
`name` : |
`value` : |

### empathy_tp_chat_get_pending_messages ()

    const GList *       empathy_tp_chat_get_pending_messages
                                                            (EmpathyTpChat *chat);

`chat` : |
Returns : |

### empathy_tp_chat_acknowledge_message ()

    void                empathy_tp_chat_acknowledge_message (EmpathyTpChat *chat,
                                                             EmpathyMessage *message);

`chat` : |
`message` : |

### empathy_tp_chat_acknowledge_messages ()

    void                empathy_tp_chat_acknowledge_messages
                                                            (EmpathyTpChat *chat,
                                                             const GList *messages);

`chat` : |
`messages` : |

## Property Details

### The `"channel"` property

      "channel"                  TpChannel*            : Read / Write / Construct Only

The text channel for the chat.

### The `"ready"` property

      "ready"                    gboolean              : Read

This object can't be used until this becomes true.

Default value: FALSE

### The `"remote-contact"` property

      "remote-contact"           EmpathyContact*       : Read

The remote contact if there is no group iface on the channel.

## Signal Details

### The `"chat-state-changed"` signal

    void                user_function                      (EmpathyTpChat  *empathytpchat,
                                                            EmpathyContact *arg1,
                                                            guint           arg2,
                                                            gpointer        user_data)          : Run Last

`empathytpchat` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.

### The `"destroy"` signal

    void                user_function                      (EmpathyTpChat *empathytpchat,
                                                            gpointer       user_data)          : Run Last

`empathytpchat` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The `"message-received"` signal

    void                user_function                      (EmpathyTpChat  *empathytpchat,
                                                            EmpathyMessage *arg1,
                                                            gpointer        user_data)          : Run Last

`empathytpchat` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"property-changed"` signal

    void                user_function                      (EmpathyTpChat *empathytpchat,
                                                            gchar         *arg1,
                                                            GValue        *arg2,
                                                            gpointer       user_data)          : Run Last

`empathytpchat` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.

### The `"send-error"` signal

    void                user_function                      (EmpathyTpChat  *empathytpchat,
                                                            EmpathyMessage *arg1,
                                                            guint           arg2,
                                                            gpointer        user_data)          : Run Last

`empathytpchat` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.